;-----------------------------------------------------------------------------
; name		: TEVARS.ASM
; object	: Tiny Editor - Unitialized variables
; type		: include file
; version	: 1.7
; date		: Feb 20, 2000
; author	: J R Ferguson
;-----------------------------------------------------------------------------


pnt		pointers <>			;actual pointer buffer

wrpcol		dw	?			;word wrap text column
wrpsepcnt	dw	?			;word wrap space count
wintxtrow	dw	?			;window top row
windspcol	dw	?			;window left col
curtxtrow	dw	?			;current text row
virtxtcol	dw	?			;virtual text col (intention)
curtxtcol	dw	?			;current text col (actual)
curdspcol	dw	?			;current display col (screen)
maxabscol	dw	?			;max absolute display column
dskfsp		dw	?			;disk i/o filespec
vidsta		dw	?			;video I/O status port
progseg		dw	?			;code and program data seg
textseg		dw	?			;text buffer seg
cutseg		dw	?			;block delete buffer seg
i24vec		dd	?			;original int 24h vector
foptcnt		dw	?			;find/repl count specified
findcnt		dw	?			;actual find/replace counter
delptr		dw	?			;delete text pointer
delcnt		dw	?			;delete byte count
dskiod		dw	?			;disk i/o file handle
dskcnt		dw	?			;disk i/o byte count
dskptr		dw	?			;disk i/o text pointer
fndorgptr	dw	?			;find: original start position
fndbegptr	dw	?			;find: matched pattern start
fndendptr	dw	?			;find: matched pattern end
prmptr		dw	?			;prompt pointer
strbeg		dw	?			;input string start
strmax		dw	?			;input string max length

blkshwsw	db	?			;block show state
prvmrksw	db	?			;previous position marked
txtchgsw	db	?			;change flag
dellinsw	db	?			;complete line deleted
findsw		db	?			;find match switch
fndrepsw	db	?			;replace flag
fopt		db	?			;find/replace options
attrcur		db	?			;current video attribute
attrorg		db	?			;original video attribute

fspmain		db	maxfsp	+ 1	dup(?)	;main edit filespec
fspblk		db	maxfsp	+ 1	dup(?)	;block read/write filespec
findstr		db	maxfind	+ 1	dup(?)	;find string
replstr		db	maxfind	+ 1	dup(?)	;replace string
foptstr		db	maxfopt + 1	dup(?)	;find/repl options
lnrstr		db	maxlnr	+ 1	dup(?)	;line number string
chrdelbuf	db	maxchrdel	dup(?)	;char delete buffer
lindelbuf	db	maxlindel	dup(?)	;line delete buffer
marstr		db	maxmar	+ 1	dup(?)	;left/right margin input string
inpstr		db	maxinp	+ 1	dup(?)	;input string
fsptmp		db	maxfsp	+ 1	dup(?)	;.$$$ filespec
fspbak		db	maxfsp	+ 1	dup(?)	;.BAK filespec
stkbuf		db	stksiz		dup(?)	;program stack
stktop		equ	$

;--- END TEVARS.ASM ----------------------------------------------------------
